/////////////////////////////////////////////////////////////////////////////
// Name:        explicitscrollingdialog.h
// Purpose:     
// Author:      Julian Smart
// Modified by: 
// Created:     13/12/2007 09:14:36
// RCS-ID:      
// Copyright:   
// Licence:     
/////////////////////////////////////////////////////////////////////////////

#ifndef _EXPLICITSCROLLINGDIALOG_H_
#define _EXPLICITSCROLLINGDIALOG_H_


/*!
 * Includes
 */

////@begin includes
////@end includes

/*!
 * Forward declarations
 */

////@begin forward declarations
////@end forward declarations

/*!
 * Control identifiers
 */

////@begin control identifiers
#define ID_EXPLICITSCROLLINGDIALOG 10005
#define ID_SCROLLEDWINDOW1 10006
#define ID_TEXTCTRL4 10007
#define ID_TEXTCTRL5 10008
#define ID_TEXTCTRL6 10009
#define SYMBOL_EXPLICITSCROLLINGDIALOG_STYLE wxCAPTION|wxRESIZE_BORDER|wxSYSTEM_MENU|wxCLOSE_BOX|wxTAB_TRAVERSAL
#define SYMBOL_EXPLICITSCROLLINGDIALOG_TITLE _("ExplicitScrollingDialog")
#define SYMBOL_EXPLICITSCROLLINGDIALOG_IDNAME ID_EXPLICITSCROLLINGDIALOG
#define SYMBOL_EXPLICITSCROLLINGDIALOG_SIZE wxSize(400, 300)
#define SYMBOL_EXPLICITSCROLLINGDIALOG_POSITION wxDefaultPosition
////@end control identifiers


/*!
 * ExplicitScrollingDialog class declaration
 */

class ExplicitScrollingDialog: public wxDialog
{    
    DECLARE_DYNAMIC_CLASS( ExplicitScrollingDialog )
    DECLARE_EVENT_TABLE()

public:
    /// Constructors
    ExplicitScrollingDialog();
    ExplicitScrollingDialog( wxWindow* parent, wxWindowID id = SYMBOL_EXPLICITSCROLLINGDIALOG_IDNAME, const wxString& caption = SYMBOL_EXPLICITSCROLLINGDIALOG_TITLE, const wxPoint& pos = SYMBOL_EXPLICITSCROLLINGDIALOG_POSITION, const wxSize& size = SYMBOL_EXPLICITSCROLLINGDIALOG_SIZE, long style = SYMBOL_EXPLICITSCROLLINGDIALOG_STYLE );

    /// Creation
    bool Create( wxWindow* parent, wxWindowID id = SYMBOL_EXPLICITSCROLLINGDIALOG_IDNAME, const wxString& caption = SYMBOL_EXPLICITSCROLLINGDIALOG_TITLE, const wxPoint& pos = SYMBOL_EXPLICITSCROLLINGDIALOG_POSITION, const wxSize& size = SYMBOL_EXPLICITSCROLLINGDIALOG_SIZE, long style = SYMBOL_EXPLICITSCROLLINGDIALOG_STYLE );

    /// Destructor
    ~ExplicitScrollingDialog();

    /// Initialises member variables
    void Init();

    /// Creates the controls and sizers
    void CreateControls();

////@begin ExplicitScrollingDialog event handler declarations

////@end ExplicitScrollingDialog event handler declarations

////@begin ExplicitScrollingDialog member function declarations

    /// Retrieves bitmap resources
    wxBitmap GetBitmapResource( const wxString& name );

    /// Retrieves icon resources
    wxIcon GetIconResource( const wxString& name );
////@end ExplicitScrollingDialog member function declarations

    /// Should we show tooltips?
    static bool ShowToolTips();

////@begin ExplicitScrollingDialog member variables
////@end ExplicitScrollingDialog member variables
};

#endif
    // _EXPLICITSCROLLINGDIALOG_H_
