/////////////////////////////////////////////////////////////////////////////
// Name:        scrollingtestdialog.h
// Purpose:     
// Author:      Julian Smart
// Modified by: 
// Created:     11/12/2007 16:07:35
// RCS-ID:      
// Copyright:   
// Licence:     
/////////////////////////////////////////////////////////////////////////////

#ifndef _SCROLLINGTESTDIALOG_H_
#define _SCROLLINGTESTDIALOG_H_

#include "scrollingdialog.h"

/*!
 * Includes
 */

////@begin includes
////@end includes

/*!
 * Forward declarations
 */

////@begin forward declarations
////@end forward declarations

/*!
 * Control identifiers
 */

////@begin control identifiers
#define ID_SCROLLINGTESTDIALOG 10000
#define ID_TEXTCTRL1 10001
#define ID_BUTTON1 10010
#define ID_TEXTCTRL7 10011
#define ID_TEXTCTRL2 10002
#define ID_CHOICE1 10003
#define ID_TEXTCTRL3 10004
#define SYMBOL_SCROLLINGTESTDIALOG_STYLE wxCAPTION|wxRESIZE_BORDER|wxSYSTEM_MENU|wxCLOSE_BOX|wxTAB_TRAVERSAL
#define SYMBOL_SCROLLINGTESTDIALOG_TITLE _("ScrollingTestDialog")
#define SYMBOL_SCROLLINGTESTDIALOG_IDNAME ID_SCROLLINGTESTDIALOG
#define SYMBOL_SCROLLINGTESTDIALOG_SIZE wxSize(400, 300)
#define SYMBOL_SCROLLINGTESTDIALOG_POSITION wxDefaultPosition
////@end control identifiers


/*!
 * ScrollingTestDialog class declaration
 */

class ScrollingTestDialog: public wxScrollingDialog
{    
    DECLARE_DYNAMIC_CLASS( ScrollingTestDialog )
    DECLARE_EVENT_TABLE()

public:
    /// Constructors
    ScrollingTestDialog();
    ScrollingTestDialog( wxWindow* parent, wxWindowID id = SYMBOL_SCROLLINGTESTDIALOG_IDNAME, const wxString& caption = SYMBOL_SCROLLINGTESTDIALOG_TITLE, const wxPoint& pos = SYMBOL_SCROLLINGTESTDIALOG_POSITION, const wxSize& size = SYMBOL_SCROLLINGTESTDIALOG_SIZE, long style = SYMBOL_SCROLLINGTESTDIALOG_STYLE );

    /// Creation
    bool Create( wxWindow* parent, wxWindowID id = SYMBOL_SCROLLINGTESTDIALOG_IDNAME, const wxString& caption = SYMBOL_SCROLLINGTESTDIALOG_TITLE, const wxPoint& pos = SYMBOL_SCROLLINGTESTDIALOG_POSITION, const wxSize& size = SYMBOL_SCROLLINGTESTDIALOG_SIZE, long style = SYMBOL_SCROLLINGTESTDIALOG_STYLE );

    /// Destructor
    ~ScrollingTestDialog();

    /// Initialises member variables
    void Init();

    /// Creates the controls and sizers
    void CreateControls();

////@begin ScrollingTestDialog event handler declarations

////@end ScrollingTestDialog event handler declarations

////@begin ScrollingTestDialog member function declarations

    /// Retrieves bitmap resources
    wxBitmap GetBitmapResource( const wxString& name );

    /// Retrieves icon resources
    wxIcon GetIconResource( const wxString& name );
////@end ScrollingTestDialog member function declarations

    /// Should we show tooltips?
    static bool ShowToolTips();

////@begin ScrollingTestDialog member variables
////@end ScrollingTestDialog member variables
};

#endif
    // _SCROLLINGTESTDIALOG_H_
