/////////////////////////////////////////////////////////////////////////////
// Name:        propertysheetdialogtest.h
// Purpose:     
// Author:      Julian Smart
// Modified by: 
// Created:     19/12/2007 12:50:44
// RCS-ID:      
// Copyright:   
// Licence:     
/////////////////////////////////////////////////////////////////////////////

#ifndef _PROPERTYSHEETDIALOGTEST_H_
#define _PROPERTYSHEETDIALOGTEST_H_


/*!
 * Includes
 */

////@begin includes
#include "wx/propdlg.h"
////@end includes

#include "scrollingdialog.h"

/*!
 * Forward declarations
 */

////@begin forward declarations
////@end forward declarations

/*!
 * Control identifiers
 */

////@begin control identifiers
#define ID_PROPERTYSHEETDIALOGTEST 10012
#define ID_PANEL1 10013
#define ID_TEXTCTRL8 10014
#define ID_LISTBOX1 10015
#define ID_BUTTON2 10016
#define ID_PANEL2 10017
#define ID_TEXTCTRL9 10018
#define ID_TEXTCTRL10 10019
#define SYMBOL_PROPERTYSHEETDIALOGTEST_STYLE wxCAPTION|wxRESIZE_BORDER|wxSYSTEM_MENU|wxCLOSE_BOX
#define SYMBOL_PROPERTYSHEETDIALOGTEST_TITLE _("PropertySheetDialogTest")
#define SYMBOL_PROPERTYSHEETDIALOGTEST_IDNAME ID_PROPERTYSHEETDIALOGTEST
#define SYMBOL_PROPERTYSHEETDIALOGTEST_SIZE wxSize(400, 300)
#define SYMBOL_PROPERTYSHEETDIALOGTEST_POSITION wxDefaultPosition
////@end control identifiers


/*!
 * PropertySheetDialogTest class declaration
 */

class PropertySheetDialogTest: public wxScrollingPropertySheetDialog
{    
    DECLARE_DYNAMIC_CLASS( PropertySheetDialogTest )
    DECLARE_EVENT_TABLE()

public:
    /// Constructors
    PropertySheetDialogTest();
    PropertySheetDialogTest( wxWindow* parent, wxWindowID id = SYMBOL_PROPERTYSHEETDIALOGTEST_IDNAME, const wxString& caption = SYMBOL_PROPERTYSHEETDIALOGTEST_TITLE, const wxPoint& pos = SYMBOL_PROPERTYSHEETDIALOGTEST_POSITION, const wxSize& size = SYMBOL_PROPERTYSHEETDIALOGTEST_SIZE, long style = SYMBOL_PROPERTYSHEETDIALOGTEST_STYLE );

    /// Creation
    bool Create( wxWindow* parent, wxWindowID id = SYMBOL_PROPERTYSHEETDIALOGTEST_IDNAME, const wxString& caption = SYMBOL_PROPERTYSHEETDIALOGTEST_TITLE, const wxPoint& pos = SYMBOL_PROPERTYSHEETDIALOGTEST_POSITION, const wxSize& size = SYMBOL_PROPERTYSHEETDIALOGTEST_SIZE, long style = SYMBOL_PROPERTYSHEETDIALOGTEST_STYLE );

    /// Destructor
    ~PropertySheetDialogTest();

    /// Initialises member variables
    void Init();

    /// Creates the controls and sizers
    void CreateControls();

////@begin PropertySheetDialogTest event handler declarations

////@end PropertySheetDialogTest event handler declarations

////@begin PropertySheetDialogTest member function declarations

    /// Retrieves bitmap resources
    wxBitmap GetBitmapResource( const wxString& name );

    /// Retrieves icon resources
    wxIcon GetIconResource( const wxString& name );
////@end PropertySheetDialogTest member function declarations

    /// Should we show tooltips?
    static bool ShowToolTips();

////@begin PropertySheetDialogTest member variables
////@end PropertySheetDialogTest member variables
};

#endif
    // _PROPERTYSHEETDIALOGTEST_H_
